/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.apache.tuscany.sca.implementation.xquery.impl;

import org.apache.tuscany.sca.implementation.xquery.XQueryImplementation;
import org.apache.tuscany.sca.implementation.xquery.XQueryImplementationFactory;

/**
 * Actual implementation of the XQuery implementation factory
 * @version $Rev: 569629 $ $Date: 2007-08-25 07:37:22 +0100 (Sat, 25 Aug 2007) $
 */
public class XQueryImplementationFactoryImpl implements XQueryImplementationFactory {

    public XQueryImplementation createXQueryImplementation() {
        XQueryImplementation implementation = new XQueryImplementationImpl();
        return implementation;
    }

}
