/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */

package org.apache.tuscany.sca.monitor.impl;

import org.apache.tuscany.sca.monitor.Monitor;
import org.apache.tuscany.sca.monitor.MonitorFactory;


/**
 * A factory for creating validation monitors
 *
 * @version $Rev: 661788 $ $Date: 2008-05-30 17:45:50 +0100 (Fri, 30 May 2008) $
 */
public class DefaultMonitorFactoryImpl implements MonitorFactory {
    
    private Monitor monitor = null;

    public Monitor createMonitor() {
        if (monitor == null){
            monitor = new DefaultMonitorImpl();
        }
        return monitor ;
    }
}
