/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */

package org.apache.tuscany.sca.workspace.impl;

import org.apache.tuscany.sca.workspace.Workspace;
import org.apache.tuscany.sca.workspace.WorkspaceFactory;


/**
 * Default implementation of a contribution workspace model factory.
 * 
 * @version $Rev: 629968 $ $Date: 2008-02-21 20:13:20 +0000 (Thu, 21 Feb 2008) $
 */
public class WorkspaceFactoryImpl implements WorkspaceFactory {
    
    protected WorkspaceFactoryImpl() {
    }
    
    public Workspace createWorkspace() {
        return new WorkspaceImpl();
    }

}
